<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="200px" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000042 -->
           <el-tab-pane label="Menu" name="menu">
                <m-menu :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Sptrel from "~/model/Sptrel"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Sptrel/Check"
import Default from "~/model/Sptrel/Default"
import Pattern from "~/model/Sptrel/Pattern"
import Menu from "./Menu"


export default {
    name: 'Sptrel',
    components:{
        "m-menu" : Menu,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "menu",
            trnName: "sptrel",
            model: new Sptrel().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes:{...CodeTable},
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入sptrel交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
